"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = compress;

var _imagemin = _interopRequireDefault(require("imagemin"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * @file: use imagemin to compress images
 * @author: GaoYYYang
 * @date: 06 30 2020 4:49:54
 */
function compress(content, options) {
  const plugins = [];
  Object.keys(options).forEach(type => {
    let thisOption = options[type];

    if (typeof thisOption === 'boolean' && thisOption) {
      thisOption = {};
    } else if (typeof thisOption !== 'object') {
      thisOption = false;
    }

    if (thisOption) {
      try {
        plugins.push(require(`imagemin-${type}`)(thisOption));
      } catch (e) {}
    }
  });
  return _imagemin.default.buffer(content, {
    plugins
  });
}